http://apigateway.{region}.amazonaws.com/usageplans/{usageplanId}/keysGets all the usage plan keys representing the API keys added to a specified usage plan.
The Id of the UsagePlan resource representing the usage plan containing the to-be-retrieved UsagePlanKey resource representing a plan customer.
The current pagination position in the paged result set.
The maximum number of returned results per page. The default value is 25 and the maximum value is 500.
A query parameter specifying the name of the to-be-returned usage plan keys.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://apigateway.{region}.amazonaws.com/usageplans/{usageplanId}/keys' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://apigateway.{region}.amazonaws.com/usageplans/{usageplanId}/keysGets all the usage plan keys representing the API keys added to a specified usage plan.
The Id of the UsagePlan resource representing the usage plan containing the to-be-retrieved UsagePlanKey resource representing a plan customer.
The current pagination position in the paged result set.
The maximum number of returned results per page. The default value is 25 and the maximum value is 500.
A query parameter specifying the name of the to-be-returned usage plan keys.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://apigateway.{region}.amazonaws.com/usageplans/{usageplanId}/keys' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}